Method: projects.locations.updateCmekConfig

Initializes or Updates the a scheduler config.

HTTP request


PATCH https://cloudscheduler.googleapis.com/v1/{cmekConfig.name=projects/*/locations/*/cmekConfig}

The URLs use gRPC Transcoding syntax.

Path parameters

Parameters
cmekConfig.name

string

Identifier. The config resource name which includes the project and location and must end in 'cmekConfig', in the format projects/PROJECT_ID/locations/LOCATION_ID/cmekConfig`

Query parameters

Parameters
updateMask

string (FieldMask format)

Optional. List of fields to be updated in this request.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".

Request body

The request body contains an instance of CmekConfig.

Response body

If successful, the response body contains an instance of Operation.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/cloud-scheduler

For more information, see the Authentication Overview.